<?php

namespace App\Modules\Invoices;

class ServiceProvider extends \App\Modules\ServiceProvider
{
    public function register()
    {
        parent::register('invoices');
    }

    public function boot()
    {
        parent::boot('invoices');

        // Register model observers
        Invoice::observe(new InvoiceObserver());
        Sale::observe(new InvoiceObserver());
        InvoiceItem::observe(new InvoiceItemObserver());
        // InvoiceTransaction::observe(new InvoiceTransactionObserver);
    }
}
